/*-----------------use for RH850_D1M1A_1441 --------------------*/
#include "RSCAN_Table.h"

#define CANFD0_CH0_RX_SELECT 0x00000400UL
#define CANFD0_CH1_RX_SELECT 0x00002000UL
#define CANFD0_CH2_RX_SELECT 0x00010000UL


const RSCANFD_Filter_st_t CANFD_RX_RULE_TABLE_LIST[CANFD0_RX_RULE_SIZE] =
{
    /* CAN 0 reception rules */
    /*   ID   , MASK  ,   LEN  */
    //{0x8C010305UL, 0xFFFFFFFFUL, 0x80000000UL, CANFD0_CH0_RX_SELECT},
    //{0x8C010305UL, 0x00000000UL, 0x80000000UL, CANFD0_CH1_RX_SELECT},
    //{0x8C010305UL, 0xFFFFFFFFUL, 0x80000000UL, CANFD0_CH1_RX_SELECT},
    //{0x8C010305UL, 0xFFFFFFFFUL, 0x80000000UL, CANFD0_CH2_RX_SELECT},

    {0x8C010305ul, 0xDFFFFFFFUL, 0x80000000ul, CANFD0_CH0_RX_SELECT},/* 1*/
    {0x8C0320A8ul, 0xDFFFFFFFUL, 0x80000000ul, CANFD0_CH0_RX_SELECT},/* 2*/
    {0x8C0320B0ul, 0xDFFFFFFFUL, 0x80000000ul, CANFD0_CH0_RX_SELECT},/* 3*/
    {0x8C0320B8ul, 0xDFFFFFFFUL, 0x80000000ul, CANFD0_CH0_RX_SELECT},/* 4*/
    {0x8C0320C0ul, 0xDFFFFFFFUL, 0x80000000ul, CANFD0_CH0_RX_SELECT},/* 5*/
    {0x8C0320C8ul, 0xDFFFFFFFUL, 0x80000000ul, CANFD0_CH0_RX_SELECT},/* 6*/
    {0x8CF00400ul, 0xDFFFFFFFUL, 0x80000000ul, CANFD0_CH0_RX_SELECT},/* 7*/
    {0x8CF02F2Aul, 0xDFFFFFFFUL, 0x80000000ul, CANFD0_CH0_RX_SELECT},/* 8*/
    {0x8CF02FA0ul, 0xDFFFFFFFUL, 0x80000000ul, CANFD0_CH0_RX_SELECT},/* 9*/
    {0x8CF02FA1ul, 0xDFFFFFFFUL, 0x80000000ul, CANFD0_CH0_RX_SELECT},/*10*/
    {0x0CFF0F15ul, 0xDFFFFFFFUL, 0x80000000ul, CANFD0_CH0_RX_SELECT},/*11*/
    {0x90F007E8ul, 0xDFFFFFFFUL, 0x80000000ul, CANFD0_CH0_RX_SELECT},/*12*/
    {0x90FF462Dul, 0xDFFFFFFFUL, 0x80000000ul, CANFD0_CH0_RX_SELECT},/*13*/
    {0x90FF477Eul, 0xDFFFFFFFUL, 0x80000000ul, CANFD0_CH0_RX_SELECT},/*14*/
    {0x98011733ul, 0xDFFFFFFFUL, 0x80000000ul, CANFD0_CH0_RX_SELECT},/*15*/
    {0x98021733ul, 0xDFFFFFFFUL, 0x80000000ul, CANFD0_CH0_RX_SELECT},/*16*/
    {0x98EA0021ul, 0xDFFFFFFFUL, 0x80000000ul, CANFD0_CH0_RX_SELECT},/*17*/
    {0x98EBFF03ul, 0xDFFFFFFFUL, 0x80000000ul, CANFD0_CH0_RX_SELECT},/*18*/
    {0x98ECFF03ul, 0xDFFFFFFFUL, 0x80000000ul, CANFD0_CH0_RX_SELECT},/*19*/
    {0x98EF1718ul, 0xDFFFFFFFUL, 0x80000000ul, CANFD0_CH0_RX_SELECT},/*20*/
    {0x98F00000ul, 0xDFF00000UL, 0x80000000ul, CANFD0_CH0_RX_SELECT},/*21*/
    {0x9CFFFEF2ul, 0xDFFFFFFFUL, 0x80000000ul, CANFD0_CH0_RX_SELECT},/*22*/
    {0x98DA17FAul, 0xDFFFFFFFUL, 0x80000000ul, CANFD0_CH0_RX_SELECT},/*23*/
    {0x98DBFFFAul, 0xDFFFFFFFUL, 0x80000000ul, CANFD0_CH0_RX_SELECT},/*24*/

};